Bug 12238 - Xv problem when viewing a movie in fullscreen with nv
Summary: Xv problem when viewing a movie in fullscreen with nv
Status: RESOLVED WONTFIX
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/nVidia (open) (show other bugs)
Version: git
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Aaron Plattner
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-31 13:41 UTC by Pierre Lejeune
Modified: 2011-09-14 13:15 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Picture with the Xv problem (153.20 KB, image/jpeg)
2007-08-31 13:44 UTC, Pierre Lejeune
no flags Details
Picture illustrating my Xv problem. (518.95 KB, image/jpeg)
2007-09-04 11:37 UTC, Evan Fraser
no flags Details

Description Pierre Lejeune 2007-08-31 13:41:53 UTC
Hello,

When I try to watch a movie in fullscreen with mplayer and the nv driver, I can see horizontal lines on the screen (as you can see with the picture in attachment). I tried it with yv12 and yuy2 video filters. But the problem is the same.

Is there a way to fix it?

Thanks in advance.
SuperHeron
Comment 1 Pierre Lejeune 2007-08-31 13:44:20 UTC
Created attachment 11362 [details]
Picture with the Xv problem

Picture which shows the Xv problem (look carefully).
Comment 2 Pierre Lejeune 2007-08-31 13:49:09 UTC
Sorry, I've forgotten some information.
Screen resolution : 1280x1024@60Hz
Nv driver version : git
NVIDIA card : GeForce FX 5200 (NV34, 10de:0322)
Comment 3 Evan Fraser 2007-09-04 11:37:50 UTC
Created attachment 11417 [details]
Picture illustrating my Xv problem.

I have the exact same problem as the original poster, heres a screenshot of the problem on my system
Comment 4 Evan Fraser 2007-09-04 11:39:45 UTC
Oh, and my system specs:

Screen resolution : 1024x768@60Hz
Nv driver version : 2.1.3
NVIDIA card : GeForce4 420 Go (NV17, 10de:0175)


(In reply to comment #3)
> Created an attachment (id=11417) [details]
> Picture illustrating my Xv problem.
> 
> I have the exact same problem as the original poster, heres a screenshot of the
> problem on my system
> 

Comment 5 Evan Fraser 2007-09-04 12:04:01 UTC
Oh and the video resolution was 640x272

(In reply to comment #4)
> Oh, and my system specs:
> 
> Screen resolution : 1024x768@60Hz
> Nv driver version : 2.1.3
> NVIDIA card : GeForce4 420 Go (NV17, 10de:0175)
> 
> 
> (In reply to comment #3)
> > Created an attachment (id=11417) [details] [details]
> > Picture illustrating my Xv problem.
> > 
> > I have the exact same problem as the original poster, heres a screenshot of the
> > problem on my system
> > 
> 

Comment 6 Aaron Plattner 2007-09-04 12:55:02 UTC
Does this problem happen with earlier versions of the driver?  In particular ones without commit ec78618d685759a39d386e9929661037b167fe68?
Comment 7 Evan Fraser 2007-09-04 13:28:45 UTC
Hello, using commit 493822998184a1d79d6774686983cbd41930f253 the problem still exists.  Which other ones would you like me to try?

(In reply to comment #6)
> Does this problem happen with earlier versions of the driver?  In particular
> ones without commit ec78618d685759a39d386e9929661037b167fe68?
> 

Comment 8 Aaron Plattner 2007-09-04 13:51:02 UTC
No, please try *reverting* commit 493822998184a1d79d6774686983cbd41930f253 to see if that fixes the problem.
Comment 9 Evan Fraser 2007-09-04 14:23:24 UTC
Hi Aaron, yes I did a git-revert.  the nv module now shows up as version 2.1.2 in the Xorg.0.log.

(In reply to comment #8)
> No, please try *reverting* commit 493822998184a1d79d6774686983cbd41930f253 to
> see if that fixes the problem.
> 

Comment 10 Aaron Plattner 2007-09-04 14:46:21 UTC
Are you sure you did git-revert and not git-reset?  In either case, that sounds sufficent to rule out commit ec7861 as the culprit.  Thanks.
Comment 11 Evan Fraser 2007-09-05 11:51:53 UTC
I apologise, looking back through my shell history I actually did a git-checkout:

evan@kryten:~/nouveau/xf86-video-nv$ git-checkout 493822998184a1d79d6774686983cbd41930f253
Note: moving to "493822998184a1d79d6774686983cbd41930f253" which isn't a local branch
If you want to create a new branch from this checkout, you may do so
(now or later) by using -b with the checkout command again. Example:
  git checkout -b <new_branch_name>
HEAD is now at 4938229... Bump to 2.1.2.

and then compiled from there.

Is this correct?  If not, what should I type?  I'm pretty new to git i'm sorry.
Comment 12 Evan Fraser 2007-09-06 06:48:59 UTC
Hi, I ran across bug #4686 while looking for duplicates, and then tried the suggested patch on my card by removing the NV30 check. This has fixed the problem for my card, and now video playback is fine.

This isn't a fix for the original bug-poster however as he actually has an NV30 so he must be hitting a different problem?

Thanks, Evan.

(In reply to comment #11)
> I apologise, looking back through my shell history I actually did a
> git-checkout:
> 
> evan@kryten:~/nouveau/xf86-video-nv$ git-checkout
> 493822998184a1d79d6774686983cbd41930f253
> Note: moving to "493822998184a1d79d6774686983cbd41930f253" which isn't a local
> branch
> If you want to create a new branch from this checkout, you may do so
> (now or later) by using -b with the checkout command again. Example:
>   git checkout -b <new_branch_name>
> HEAD is now at 4938229... Bump to 2.1.2.
> 
> and then compiled from there.
> 
> Is this correct?  If not, what should I type?  I'm pretty new to git i'm sorry.
> 

Comment 13 Felipe 2010-02-06 08:25:30 UTC
Same problem here.
Ubuntu 9.10, up-to-date
GeForce 7300 LE
Intel Core 2 Duo 4300  1.80GHz
kernel 2.6.31-19-generic

I installed the Ubuntu package, it seems like it's not so recent, right?
I think it's the version of 23/08/2009
Comment 14 Corbin Simpson 2011-09-14 13:15:05 UTC
xf86-video-nv has been officially unmaintained for a bit now, and we are closing all -nv bugs. If your problem was not addressed, and -nv is still broken, please try xf86-video-nouveau. Thank you.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.